Subject: bug#13061: 24.3.50; regressions: 1) Redefining a function shouldcancel`debug-on-entry',2) doc

From: Drew Adams <[email-masked]>
Date: Wed, 2 Jul 2014 10:57:39 -0700 (PDT)

> > > It is so simple to hit C-M-x when debugging and modifiying
> > > a function that has `debug-on-entry'.  Doing that should
> > > (obviously) cancel opening the debugger on entry.  This has
> > > always been the behavior in Emacs, and it should be a no-brainer.
> >
> > Just one comment from another user: I like the opposite (that is, the
> > new) behavior.  It always annoyed me that e.g. loading file sources
> > canceled any according `debug-on-entry' in effect.  I prefer to use
> > `cancel-debug-on-entry' explicitly.
> >
> > Maybe the behavior could be made configurable?
> 
> +1 - users use Emacs differently.
> 
> But the default behavior should be the longstanding behavior.
> There is no reason to change that.

FWIW, I'm OK with the new behavior, even as the default behavior.

(I do think the behavior should be user configurable, however.  And
I think it is best not to change the default behavior, especially
without polling users.)

[And this bug should NOT have been merged with bug #17902, which
simply points out that the new behavior is not reflected in the doc.]